# PersistTransientKeyRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the persisted security object. Security object names must be unique within an account. | 
**description** | **str** | Description of the persisted security object. | [optional] 
**custom_metadata** | **dict(str, str)** | User-defined metadata for the persisted key. Stored as key-value pairs. | [optional] 
**enabled** | **bool** | Whether the new security object should be enabled. Disabled security objects may not perform cryptographic operations.  | [optional] 
**key_ops** | [**list[KeyOperations]**](KeyOperations.md) | Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled.  | [optional] 
**group_id** | **str** | Group ID (not name) of the security group that the persisted security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used.  | [optional] 
**transient_key** | **str** | Transient key blob. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


